# HG changeset patch
# Parent 573c01591591cfc6ed55d2b47a8580a17fb033f4
Shut up compiler warnings about signedness in comparison.

diff -r 573c01591591 -r 76d0c4102e92 src/ChangeLog
--- a/src/ChangeLog	Mon Sep 09 10:56:29 2013 +0900
+++ b/src/ChangeLog	Mon Sep 09 11:12:39 2013 +0900
@@ -1,3 +1,8 @@
+2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
+
+	* dired.c (Ffile_attributes):
+	Shut up compiler warnings about signedness in comparison.
+
 2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
 
 	* editfns.c (Fencode_time):
diff -r 573c01591591 -r 76d0c4102e92 src/dired.c
--- a/src/dired.c	Mon Sep 09 10:56:29 2013 +0900
+++ b/src/dired.c	Mon Sep 09 11:12:39 2013 +0900
@@ -939,8 +939,8 @@
 
   if (NILP(id_format) || EQ (id_format, Qinteger))
     {
-      uidInfo = make_unsigned_integer (s.st_uid);
-      gidInfo = make_unsigned_integer (s.st_gid);
+      uidInfo = make_unsigned_integer ((EMACS_UINT) s.st_uid);
+      gidInfo = make_unsigned_integer ((EMACS_UINT) s.st_gid);
     }
   else
     {
@@ -957,7 +957,7 @@
   
   RETURN_UNGCPRO (listn (12,
 			 mode,
-			 make_unsigned_integer (s.st_nlink),
+			 make_unsigned_integer ((EMACS_UINT) s.st_nlink),
 			 uidInfo,
 			 gidInfo,
 			 make_time (s.st_atime),
@@ -967,7 +967,7 @@
 			 modestring,
 			 gid,
 			 make_unsigned_integer (s.st_ino),
-			 make_unsigned_integer (s.st_dev)));
+			 make_unsigned_integer ((EMACS_UINT) s.st_dev)));
 }
 
 
